### Method

# WPEWebKit XRPermissionRequest set_granted_optional_features

since: 2.52

#### Declaration [src]

    void
    webkit_xr_permission_request_set_granted_optional_features (
      WebKitXRPermissionRequest* request,
      WebKitXRSessionFeatures granted
    )

#### Description [src]

Sets which optional features should be granted if the permission request is allowed.

This function should be called with a subset of the features from `webkit_xr_permission_request_get_consent_optional_features()` before calling webkit_permission_request_allow(). If the request is denied, no features are granted, regardless of what is set here.

Available since: 2.52

#### Parameters

`granted`

  Type: `WebKitXRSessionFeatures`

  Granted features.